> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# getMetrics

***

# Function: getMetrics()

```ts theme={null}
function getMetrics(options: object & object): Promise<{
  aggregateMetrics: {
    [key: Uncapitalize<string>]: number;
  };
  bucketedMetrics: {
    [key: Uncapitalize<string>]: object[];
  };
  groupByColumns: string[];
}>;
```

Defined in: [src/utils/metrics.ts](https://github.com/rungalileo/galileo-js/blob/main/src/utils/metrics.ts)

Searches for metrics in a project.

## Parameters

### options

`object` & `object`

The search query parameters.

## Returns

`Promise`\<\{
`aggregateMetrics`: \{
\[`key`: `Uncapitalize`\<`string`>]: `number`;
};
`bucketedMetrics`: \{
\[`key`: `Uncapitalize`\<`string`>]: `object`\[];
};
`groupByColumns`: `string`\[];
}>

A promise that resolves to the search results.
